Fix ssh/scp/rsync sandboxing
Change-Id: I1e94c028fafa78d4792a50790a76ab32bc4e10b2
Signed-off-by: James Kuszmaul <jabukuszmaul+collab@gmail.com>
diff --git a/debian/rsync_wrapper.sh b/debian/rsync_wrapper.sh
new file mode 100755
index 0000000..9a8d4ba
--- /dev/null
+++ b/debian/rsync_wrapper.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# --- begin runfiles.bash initialization v2 ---
+# Copy-pasted from the Bazel Bash runfiles library v2.
+set -uo pipefail; f=bazel_tools/tools/bash/runfiles/runfiles.bash
+source "${RUNFILES_DIR:-/dev/null}/$f" 2>/dev/null || \
+ source "$(grep -sm1 "^$f " "${RUNFILES_MANIFEST_FILE:-/dev/null}" | cut -f2- -d' ')" 2>/dev/null || \
+ source "$0.runfiles/$f" 2>/dev/null || \
+ source "$(grep -sm1 "^$f " "$0.runfiles_manifest" | cut -f2- -d' ')" 2>/dev/null || \
+ source "$(grep -sm1 "^$f " "$0.exe.runfiles_manifest" | cut -f2- -d' ')" 2>/dev/null || \
+ { echo>&2 "ERROR: cannot find $f"; exit 1; }; f=; set -e
+# --- end runfiles.bash initialization v2 ---
+
+LIB_PATH="$(rlocation rsync/usr/lib/x86_64-linux-gnu/libcrypto.so.1.1)"
+LIB_PATH="${LIB_PATH%/libcrypto.so.1.1}"
+export LD_LIBRARY_PATH="${LIB_PATH}"
+
+
+TOOL_PATH="$(rlocation rsync/usr/bin/rsync)"
+
+exec "${TOOL_PATH}" "$@"